<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

/*****************************************/
/* Diverses fonctions utilisées dans SMI */
/*****************************************/

/********************************************************/
/* Stockage et récupérations diverses dans les fichiers */
/********************************************************/

// Fonction qui renvoie la civilité en fonction du code civilité
function Retournecivilite($code)
{
	$civilite = "";
	
	$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	$rciv = "SELECT * FROM " .TBCIV. " WHERE civ_code='".$code."'";
	$rsciv = mysql_query($rciv) or die(mysql_error());
	if ($rowciv = mysql_fetch_array($rsciv)) 
	{
		extract ($rowciv);
	}
	mysql_free_result($rsciv);
	mysql_close($conn2);  

	$civilite = str_majuscules($civ_desc);

	return $civilite;
}

// Fonction qui renvoie un nom de créateur
function Retournecreateur($code,$code_admin)
{
	$createur = "";
	$cdg = FALSE;
	
	if ($code <> $code_admin)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		
		// Récupération du niveau utilisateur
		$rexist= "SELECT * FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
		$rs2 = mysql_query($rexist) or die(mysql_error());
	
		if (mysql_num_rows($rs2) == 1) // Il ne peut y avoir qu'un seul résultat
		{
			if ($row2 = mysql_fetch_array($rs2)) 
				extract ($row2);

			switch ($pw_level)
			{
				case 1 :
						$rech3 = "SELECT * FROM " .TBCLI. " WHERE cli_code='".$code."'";
						break;

				case 2 :
						$rech3 = "SELECT * FROM " .TBOPE. " WHERE ope_code='".$code."'";
						break;
						   
				case 3 :
				case 7 :
				case 11 :
						$rech3 = "SELECT * FROM " .TBTEC. " WHERE tec_code='".$code."'";
						break;

				case 4 :
						$rech3 = "SELECT * FROM " .TBAGE. " WHERE age_code='".$code."'";
						break;
						
				case 5 :
						$cdg = TRUE;
						break;

				case 6 :
						$rech3 = "SELECT * FROM " .TBDO. " WHERE do_code='".$code."'";
						break;
						
				case 10 :
						$rech3 = "SELECT * FROM " .TBDO. " WHERE do_code='".$code."'";
						break;
			}

			if ($cdg == FALSE)
			{
				$rs3 = mysql_query($rech3) or die(mysql_error());
				if (mysql_num_rows($rs3) == 1) // Il ne peut y avoir qu'un seul résultat
				{
					if ($row3 = mysql_fetch_array($rs3)) 
						extract ($row3);
					
					switch ($pw_level)
					{
						case 1 :
								$createur = $cli_civilite." ".$cli_prenom." ".$cli_nom." (Client)";
								break;
						case 2 :
								$createur = $ope_civilite." ".$ope_prenom." ".$ope_nom." (Opérateur)";
								break;
						case 3 :
						case 7 :
						case 11 :
								$createur = $tec_civilite." ".$tec_prenom." ".$tec_nom." (Technicien";
								if ($pw_level==7)
									$createur.=" donneur d'ordres";
								if ($pw_level==11)
									$createur.=" sous-traitant";
								$createur.=")";
								break;
						case 4 :
								$createur = $age_nom." (Agence)";
								break;
						case 6 :
								$createur = $do_nom." (Donneur d'ordres)";
								break;
						case 10 :
								$createur = $st_nom." (Sous-traitant)";
								break;
					}
				}
				else
					$createur = "le centre de gestion";
				mysql_free_result($rs3);
			}
			else
				$createur = "Centre de gestion";
		}
		mysql_free_result($rs2);
		mysql_close($conn2);
	}
	else
		$createur = "Administrateur";

	return $createur;
}

/***************************************/
/* Gestion des codes et mots de passes */
/***************************************/

// Création d'un code pour les Clients, Interventions, Techniciens, Opérateurs, Contrats, Demandes, Relevés lors de l'enregistrement
// de la fiche 
function crecode($racine,$open)
{
	if ($open==TRUE);
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rcons = "SELECT * FROM " .TBCONS;
	$rscons = mysql_query($rcons) or die(mysql_error());
	if (mysql_num_rows($rscons) == 1) // Uniquement UN SEUL enregistrement !
	{
		 if ($rowcons = mysql_fetch_array($rscons)) 
		{
			extract ($rowcons);
			$rcmaj="";
			switch ($racine)
			{
				// Code Client
				case "C" :
					$rcli = strip_tags(trim($rowcons["cons_rcli"]));
					$ncli = $rowcons["cons_ncli"];
					$ncli++;
					settype ($ncli, "string");
					$format = "%'07s";
					$nclif = sprintf ($format,$ncli);
					$codecree = $rcli.$nclif;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ncli`='".$ncli."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;

				// Code Technicien
				case "T" :
					$rtec = strip_tags(trim($rowcons["cons_rtec"]));
					$ntec = $rowcons["cons_ntec"];
					$ntec++;
					settype ($ntec, "string");
					$format = "%'07s";
					$ntecf = sprintf ($format,$ntec);
					$codecree = $rtec.$ntecf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ntec`='".$ntec."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;

				// Code Intervention
				case "I" :
					$rint = strip_tags(trim($rowcons["cons_rint"]));
					$nint = $rowcons["cons_nint"];
					$nint++;
					settype ($nint, "string");
					$format = "%'07s";
					$nintf = sprintf ($format,$nint);
					$codecree = $rint.$nintf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nint`='".$nint."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;

				// Code Opérateur
				case "O" :
					$rope = strip_tags(trim($rowcons["cons_rope"]));
					$nope = $rowcons["cons_nope"];
					$nope++;
					settype ($nope, "string");
					$format = "%'07s";
					$nopef = sprintf ($format,$nope);
					$codecree = $rope.$nopef;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nope`='".$nope."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
	
				// Code Contrat
				case "CO" :
					$rcon = strip_tags(trim($rowcons["cons_rcon"]));
					$ncon = $rowcons["cons_ncon"];
					$ncon++;
					settype ($ncon, "string");
					$format = "%'07s";
					$nconf = sprintf ($format,$ncon);
					$codecree = $rcon.$nconf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ncon`='".$ncon."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
		
				// Code Certificat de destruction
				case "CD" :
					$rcer = strip_tags(trim($rowcons["cons_rcer"]));
					$ncer = $rowcons["cons_ncer"];
					$ncer++;
					settype ($ncer, "string");
					$format = "%'07s";
					$ncerf = sprintf ($format,$ncer);
					$codecree = $rcer.$ncerf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ncer`='".$ncer."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
	
				// Code Demande
				case "D" :
					$rdde = strip_tags(trim($rowcons["cons_rdde"]));
					$ndde = $rowcons["cons_ndde"];
					$ndde++;
					settype ($ndde, "string");
					$format = "%'07s";
					$nddef = sprintf ($format,$ndde);
					$codecree = $rdde.$nddef;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ndde`='".$ndde."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;

				// Code Relevé
				case "R" :
					$rrel = strip_tags(trim($rowcons["cons_rrel"]));
					$nrel = $rowcons["cons_nrel"];
					$nrel++;
					settype ($nrel, "string");
					$format = "%'07s";
					$nrelf = sprintf ($format,$nrel);
					$codecree = $rrel.$nrelf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nrel`='".$nrel."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
	
				// Code Relevé de Licences
				case "RL" :
					$rrlic = strip_tags(trim($rowcons["cons_rrlic"]));
					$nrlic = $rowcons["cons_nrlic"];
					$nrlic++;
					settype ($nrlic, "string");
					$format = "%'07s";
					$nrlicf = sprintf ($format,$nrlic);
					$codecree = $rrlic.$nrlicf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nrlic`='".$nrlic."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
	
				// Code Relevé de Matériels
				case "RM" :
					$rrpdt = strip_tags(trim($rowcons["cons_rrpdt"]));
					$nrpdt = $rowcons["cons_nrpdt"];
					$nrpdt++;
					settype ($nrpdt, "string");
					$format = "%'07s";
					$nrpdtf = sprintf ($format,$nrpdt);
					$codecree = $rrpdt.$nrpdtf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nrpdt`='".$nrpdt."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;

				// Code Ordre
				case "OR" :
					$rord = strip_tags(trim($rowcons["cons_rord"]));
					$nord = $rowcons["cons_nord"];
					$nord++;
					settype ($nord, "string");
					$format = "%'07s";
					$nordf = sprintf ($format,$nord);
					$codecree = $rord.$nordf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nord`='".$nord."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
	
				// Code Produit à Retourner
				case "PR" :
					$rretp = strip_tags(trim($rowcons["cons_rretp"]));
					$nretp = $rowcons["cons_nretp"];
					$nretp++;
					settype ($nretp, "string");
					$format = "%'07s";
					$nretpf = sprintf ($format,$nretp);
					$codecree = $rretp.$nretpf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nretp`='".$nretp."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
	
				// Code Envoi de retour
				case "ER" :
					$rrete = strip_tags(trim($rowcons["cons_rrete"]));
					$nrete = $rowcons["cons_nrete"];
					$nrete++;
					settype ($nrete, "string");
					$format = "%'07s";
					$nretef = sprintf ($format,$nrete);
					$codecree = $rrete.$nretef;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nrete`='".$nrete."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
	
				// Code Contrat de location
				case "LO" :
					$rloc = strip_tags(trim($rowcons["cons_rloc"]));
					$nloc = $rowcons["cons_nloc"];
					$nloc++;
					settype ($nloc, "string");
					$format = "%'07s";
					$nlocf = sprintf ($format,$nloc);
					$codecree = $rloc.$nlocf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_nloc`='".$nloc."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;

				// Dossier de suivi
				case "DS" :
					$rdos = strip_tags(trim($rowcons["cons_rdos"]));
					$ndos = $rowcons["cons_ndos"];
					$ndos++;
					settype ($ndos, "string");
					$format = "%'07s";
					$ndosf = sprintf ($format,$ndos);
					$codecree = $rdos.$ndosf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ndos`='".$ndos."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;

				// Tâches
				case "TA" :
					$rtac = strip_tags(trim($rowcons["cons_rtac"]));
					$ntac = $rowcons["cons_ntac"];
					$ntac++;
					settype ($tac, "string");
					$format = "%'07s";
					$ntacf = sprintf ($format,$ntac);
					$codecree = $rtac.$ntacf;
					$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ntac`='".$ntac."'  WHERE `cons_id` = '".$rowcons["cons_id"]."'";
					break;
			}
			if ($rcmaj<>"")
				$rscmaj = mysql_query($rcmaj) or die(mysql_error());
		}
	}

	mysql_free_result($rscons);
	if ($open==TRUE)
		mysql_close($conn2);  

	return $codecree;
}

// Création d'un code session pour création de fiche Client ("C"), Technicien ("T"), Intervention ("I"), etc...
// Fonction utilisée pendant la saisie d'un formulaire
function crecodesession($racine)
	{
		$codecree = $racine.time();
		return $codecree;
	}

// Création du mot de passe
function cremdp($aveccryptage)
{
    mt_srand();
    $longueur = mt_rand(8,10);

    $mdpcree = "";
    for($i=0; $i<$longueur; $i++)
	{
        $quoi= mt_rand(1,3);
        switch($quoi){
            case 1: $mdpcree .= mt_rand(0,9); break;
            case 2: $mdpcree .= chr(mt_rand(65,90)); break;
            case 3: $mdpcree .= chr(mt_rand(97,122)); break;
        }
    }

	if ($aveccryptage == TRUE)	
		$mdpcree = md5($mdpcree); // Cryptage du MDP

	return $mdpcree;
}

// Affichage des erreurs MYSQL
function erreur_bdd($argTexte,$argSql = '')
{
 echo "<table width=\"100%\"  border=\"0\">";
 echo "<tr>";
 echo "<td width=\"30%\" align=\"right\"><font size=\"10\" color=\"red\"><b>Erreur MYSQL</b></font></td>";
 echo "<td width=\"70%\">&nbsp;</td>";
 echo "</tr>";
 echo "<tr>";
 echo "<td width=\"30%\" align=\"right\"><b>Type : </b></td>";
 echo "<td width=\"70%\"><b>$argTexte </b>.</td>";
 echo "</tr>";
 echo "<tr>";
 echo "<td width=\"30%\" align=\"right\"><b>Numéro : </b></td>";
 $strCorps = @mysql_errno()." --> ".@mysql_error();
 echo "<td width=\"70%\"><b>$strCorps</b>. </td>";
 echo "</tr>";
 echo "</table>";

 // envoi email à admin
 // $strCorps = "[$argTexte]\n";
 // $strCorps .= "(".@mysql_errno()." : ".@mysql_error().")\n";
 // if(!empty($argSql)) $strCorps .= "\nSQL : ".$argSql;
 // @mail(
 // "email@administrateur",
 // "Erreur Bdd",
 // $strCorps
 // );
}

/***************************/
/* Gestion des impressions */
/***************************/

//	Entête des impressions des contrats
function entimpcon($titre)
{
	echo "<p align=\"center\"><span class=\"titre_impression\">$titre</span></p>";
}

//	Entête des impressions des fiches Agences, Clients, Techniciens
function entimpfic($titre)
{
	echo "<p align=\"center\"><span class=\"titre_impression\">$titre</span></p>";
	echo "<span class=\"annot_petit_it\">";
	echo "Imprimée le : ";
	echo "</span>";
	echo "<span class=\"annot_gras_it\">";
	echo date("d-m-Y H:i:s")."<br><br>";
	echo "</span>";
}

//	Entête des impressions des fiches Interventions
function entimpint($titre,$inter,$dateinter,$daterdv,$url,$agence)
{
	global
		$chemin_logos;
	echo "<table width=\"740\" border=\"0\">";
    echo "<tr>";

    echo "<td rowspan=\"2\">";
	echo "<div align=\"left\">";
	echo "<img src=\"".$chemin_logos."/log".strtolower($agence).".png"."\"><br>";

	$rowage = lit_enr_age($agence,TRUE);
	extract ($rowage);

	echo "<span class=\"annot_petit_it\">";
	echo $age_rcs."<br>";
	echo "</span>";
	echo $age_adr1."<br>";
	if ($age_adr2 <> "")
		echo $age_adr2."<br>";
	echo Retournecp_openId($age_ville,TRUE)." ".Retourneville_openId($age_ville,TRUE)."<br>";
	echo "Tel : ";
	echo $age_telf;
	echo "<span class=\"annot_petit_it\">";
	echo " ".$age_txttelf."<br>";
	echo "</span>";
	echo "Fax : ";
	echo $age_fax;
	echo "<span class=\"annot_petit_it\">";
	echo " ".$age_txtfax."<br>";
	echo "</span>";
	echo "<span class=\"annot_petit_it\">";
	if ($age_web <> "")
	{
		echo " Site Web : ";
		echo $age_web." / ";
	}
	echo "Email : ";
	echo $age_email."<br>";
	echo "Horaires : ";
	echo $age_heures."<br>";
	echo formatetxt($age_txtent);
	echo "</span>";
	echo "</div>";
	echo "</td>";

    echo "<td valign=\"top\">";
	echo "<div align=\"center\">";
	echo "<span class=\"titre_impression\">$titre</span>";
	echo "<br>";
	echo "Numéro : ";
	echo "<b>";
	echo $inter."<br>";
	echo "</b>";
	echo "Date création : ";
	echo "<b>";
	echo $dateinter."<br>";
	echo "</b>";
	if ($daterdv <> "")
	{
		echo "<span class=\"annot_petit_it\">";
		echo "Rendez-vous le : ";
		echo "</span>";
		echo "<span class=\"annot_gras_it\">";
		echo $daterdv."<br>";
		echo "</span>";
	}
	echo "</div>";
	echo "</td>";

    echo "</tr>";

    echo "<tr>";
	echo "<td>";
	echo "<div valign =\"bottom\" align=\"right\">";
	echo "<span class=\"annot_petit_it\">";
	echo "Imprimée le : ";
	echo "</span>";
	echo "<span class=\"annot_gras_it\">";
	echo date("d-m-Y H:i:s")."<br>";
	echo "</span>";
	echo "</div>";
	echo "</td>";
    echo "</tr>";

	echo "</table>";
}

//	Entête des impressions complémentaires (contacts, articles, etc...) des fiches
function compimpfic($titre)
{
	echo "<p align=\"center\"><span class=\"titre_gras_soul\">$titre</span></p>";
}

// Affichage des images avec mise à l'échelle et lien éventuel
function aff_img($lnkimg,$lnkhref,$lmax,$hmax,$id,$title,$alt,$return)
{
	if (trim($lnkimg)<>"")
	{
		if (file_exists(trim($lnkimg)))
		{
			$infos_img = @getimagesize($lnkimg); 
			$largeur = $infos_img[0];
			$hauteur = $infos_img[1];
			$coeffl=1;
			$coeffh=1;
			if ($lmax>0)
			{
				if ($largeur>$lmax)
					$coeffl=($largeur/$lmax);
			}
			if ($hmax>0)
			{
				if ($hauteur>$hmax)
					$coeffh=($hauteur/$hmax);
			}
			if ($coeffl>$coeffh)
				$coeff=$coeffl;
			else
				$coeff=$coeffh;
			$hauteur=floor($hauteur/$coeff);
			$largeur=floor($largeur/$coeff);
			if (trim($lnkhref)<>"")
				echo "<a href=\"".$lnkhref."\">";
			echo "<img src=\"".$lnkimg."\"  title=\"".$title."\" id=\"".$id."\" alt=\"".$alt."\" width=\"".$largeur."\" height=\"".$hauteur."\" border=\"0\" align=\"absmiddle\">";
			if (trim($lnkhref)<>"")
				echo "</a>";
			echo "\n";
			if ($return==TRUE)
				echo "<br>";
		}
	}
}

/******************************/
/* Gestion des messages types */
/******************************/

// Message de retour MANUEL à l'index
function aff_ret_idx_man($td,$lnk,$txtlnk,$retsaisie)
{
	global
		$txt_lnk_ret_saisie,
		$txt_lnk_ret_idx;
		
	echo '<br />';
	// Cartouche d'erreur
	echo '<div align="center">';
	if ($retsaisie==TRUE)
	{
		if (($td == "add") OR ($td == "edit"))
		{
			echo '<p>';
			echo '<a href="javascript:history.back();">';
			echo '<img src="../img/rsaisie.png" border="0" align="absmiddle">';
			echo '<a href="javascript:history.back();">';
			echo ' '.$txt_lnk_ret_saisie;
			echo '</a>';
			echo '</p>';
			echo '<br />';
		}
	}
	echo '<p>';
	if (trim($txtlnk)<>"")
	{
		echo '<a href="'.$lnk.'"><img src="../img/liste.png" border="0" align="absmiddle">';
		echo '<span class="annot_gras_it">';
		echo ' '.$txtlnk.' ';
		echo '</span>';
		echo '</a>';
		echo ' / ';
	}
	echo '<a href="index.php"><img src="../img/index.png" border="0" align="absmiddle">';
	echo '<span class="annot_gras_it">';
	echo ' '.$txt_lnk_ret_idx;
	echo '</span>';
	echo '</a>';
	echo '</p>';
	echo '</div>';
}

// Message de retour automatique à un lien particulier
// $tps = temporisation en millisecondes
function aff_ret_auto($lnk,$tps)
{
	global
		$txt_lnk_ret_liste,
		$txt_patience;
		
	echo '<p align="center" class="annot_std_it">'.$txt_patience.'...</p>';
	echo '<script type="text/javascript">';
	echo 'window.setTimeout("location=(\''.$lnk.'\');",'.$tps.')';
	echo '</script>';
}

// Message de retour automatique à un lien particulier, sur un problème
// $tps = temporisation en millisecondes
function aff_ret_pbm_auto($lnk,$tps)
{
	global
		$txt_pbm_prm,
		$txt_patience;
		
	echo '<p align="center">';
	echo '<span class="alerte1">';
	echo $txt_pbm_prm;
	echo '</span></p>';
	echo '<p align="center" class="annot_std_it">'.$txt_patience.'...</p>';
	echo '<script type="text/javascript">';
	echo 'window.setTimeout("location=(\''.$lnk.'\');",'.$tps.');';
	echo '</script>';
}

// Message de retour automatique à une liste, sur un lien
// $tps = temporisation en millisecondes
function aff_ret_lst_auto($lnk,$tps)
{
	global
		$txt_lnk_ret_liste,
		$txt_patience;
		
	echo '<p align="center" class="annot_std_it">'.$txt_lnk_ret_liste.', '.$txt_patience.'...</p>';
	echo '<script type="text/javascript">';
	echo 'window.setTimeout("location=(\''.$lnk.'\');",'.$tps.');';
	echo '</script>';
}

// Message de retour automatique à l'index, sur un lien
// $tps = temporisation en millisecondes
function aff_ret_idx_auto($lnk,$tps)
{
	global
		$txt_lnk_ret_idx,
		$txt_patience;
		
	echo '<p align="center" class="annot_std_it">'.$txt_lnk_ret_idx.', '.$txt_patience.'...</p>';
	echo '<script type="text/javascript">';
	echo 'window.setTimeout("location=(\''.$lnk.'\');",'.$tps.');';
	echo '</script>';
}

// Message de retour automatique à la saisie, sur un lien
// $tps = temporisation en millisecondes
function aff_ret_sais_auto($lnk,$tps)
{
	global
		$txt_lnk_ret_saisie,
		$txt_patience;
		
	echo '<p align="center" class="annot_std_it">'.$txt_lnk_ret_saisie.', '.$txt_patience.'...</p>';
	echo '<script type="text/javascript">';
	echo 'window.setTimeout("location=(\''.$lnk.'\');",'.$tps.');';
	echo '</script>';
}
?> 
